
//[설명!!!]{---------------------------
//검증을 위한 여러 변환/출력 함수들을 기술한다.
//}-----------------------------------

#include "함수묶음.h"

#include "검증용함수들.h"

void 검증_문자열출력(char  *p문자열)
{
  _Ide_출력창_문자열출력_(p문자열);

}

void 검증_문자열추가(char  *p문자열)
{
  _Ide_출력창_문자열추가_(p문자열);

}

void 검증_10진수출력(char  *p접두문자열,
                  long   p값,
                  char  *p접미문자열)
{
  //[2010.06.05.토][생성!!!]{-----------
  //정수값을 10진수 문자열로 검증창에 출력한다.
  //}----------------------------------
  
  //[VAR]
  //{
      char  문자열[256];
  
  //}
  
  //[값=>문자열 변환]
  //{
      _Conv_정수값을10진수표기로변환(p값, 문자열);

  //}
  
  //[출력]
  //{
      _Ide_출력창_문자열추가_(p접두문자열);
      _Ide_출력창_문자열추가_(문자열);
      _Ide_출력창_문자열추가_(p접미문자열);
  
  //}

}

void 검증_16진수출력(char  *p접두문자열,
                  long   p값,
                  int    p자리수,
                  char  *p접미문자열)
{
  //[2010.06.05.토][생성!!!]{-----------
  //정수값을 16진수 문자열로 검증창에 출력한다.
  //}----------------------------------
  
  //[VAR]
  //{
      char  문자열[256];
  
  //}
  
  //[값=>문자열 변환]
  //{
      _Conv_정수값을16진수표기로변환(p값, p자리수, 문자열);

  //}
  
  //[출력]
  //{
      _Ide_출력창_문자열추가_(p접두문자열);
      _Ide_출력창_문자열추가_(문자열);
      _Ide_출력창_문자열추가_(p접미문자열);
  
  //}

}

void 검증_2진수출력(char  *p접두문자열,
                 long   p값,
                 int    p비트수,
                 char  *p접미문자열)
{
  //[2010.06.06.일][생성!!!]{----------
  //정수값을 2진수 문자열로 검증창에 출력한다.
  //}---------------------------------
  
  //[VAR]
  //{
      char  문자열[256];
  
  //}
  
  //[값=>문자열 변환]
  //{
      _Conv_정수값을2진수표기로변환(p값, p비트수, 문자열);

  //}
  
  //[출력]
  //{
      _Ide_출력창_문자열추가_(p접두문자열);
      _Ide_출력창_문자열추가_(문자열);
      _Ide_출력창_문자열추가_(p접미문자열);
  
  //}

}

